# Uses of Class
org.eclipse.ecf.provider.remoteservice.generic.Request

Packages that use Request
Package
Description
org.eclipse.ecf.provider.remoteservice.generic

## Uses of Request in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that return Request
Modifier and Type
Method
Description
`protected Request`
RegistrySharedObject.`deserializeCallRequest(byte[] requestBytes)`
`protected Request`
RegistrySharedObject.`getRequest(long requestId)`
`protected Request`
RegistrySharedObject.`sendCallRequest(RemoteServiceRegistrationImpl remoteRegistration, IRemoteCall call)`
`protected Request`
RegistrySharedObject.`sendFireRequest(RemoteServiceRegistrationImpl remoteRegistration, IRemoteCall call)`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type Request
Modifier and Type
Method
Description
`protected boolean`
RegistrySharedObject.`addRequest(Request request)`
`protected org.eclipse.equinox.concurrent.future.IExecutor`
RegistrySharedObject.`createRequestExecutor(Request request)`
`protected void`
RegistrySharedObject.`executeRequest(org.eclipse.equinox.concurrent.future.IExecutor executor, Request request, ID responseTarget, RemoteServiceRegistrationImpl localRegistration, boolean respond)`
`protected RemoteServiceRegistrationImpl`
RegistrySharedObject.`getLocalRegistrationForRequest(Request request)`
`protected void`
RegistrySharedObject.`handleCallRequest(Request request)`
`protected void`
RegistrySharedObject.`handleFireRequest(Request request)`
`protected boolean`
RegistrySharedObject.`removeRequest(Request request)`
`protected byte[]`
RegistrySharedObject.`serializeCallRequest(Request request)`